Skip to main content
PATCH
/
projects
/
{projectId}
Update project
curl --request PATCH \
  --url https://api.adaline.ai/v2/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>"
}
'
{
  "id": "<string>",
  "title": "<string>",
  "icon": {
    "type": "emoji",
    "value": "<string>"
  },
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

projectId
string
required

The unique identifier of the project. Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Body

application/json

Fields to update on a project. At least one field must be provided.

title
string

New title for the project.

Required string length: 1 - 50
icon
Base Entity Icon · object

New icon for the project.

Response

Project updated successfully.

A project with its metadata.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
title
string
required

Display title for an entity, up to 50 characters.

Required string length: 1 - 50
icon
Base Entity Icon · object
required

Icon for an entity, either an emoji or an image URL. Discriminated by type.

createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000